org.apache.solr.update

## Class DeleteUpdateCommand

- java.lang.Object
- - org.apache.solr.update.UpdateCommand
  - - org.apache.solr.update.DeleteUpdateCommand

- All Implemented Interfaces:
    Cloneable

      public class DeleteUpdateCommand
      extends UpdateCommand

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `commitWithin`
    `String` | `id`
    `BytesRef` | `indexedId`
    `String` | `query`

    - ### Fields inherited from class org.apache.solr.update.UpdateCommand

      `BUFFERING, CLEAR_CACHES, flags, IGNORE_AUTOCOMMIT, PEER_SYNC, REPLAY, req, route, version`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeleteUpdateCommand(SolrQueryRequest req)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `String` | `getId()`
    `BytesRef` | `getIndexedId()` Returns the indexed ID for this delete.
    `String` | `getQuery()`
    `boolean` | `isDeleteById()`
    `String` | `name()`
    `void` | `setId(String id)`
    `void` | `setIndexedId(BytesRef indexedId)`
    `void` | `setQuery(String query)`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.solr.update.UpdateCommand

      `clone, getFlags, getReq, getRoute, getVersion, setFlags, setReq, setRoute, setVersion`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### id

          public String id

    - #### query

          public String query

    - #### indexedId

          public BytesRef indexedId

    - #### commitWithin

          public int commitWithin

  - ### Constructor Detail

    - #### DeleteUpdateCommand

          public DeleteUpdateCommand(SolrQueryRequest req)

  - ### Method Detail

    - #### name

          public String name()

      Specified by:
        `name` in class `UpdateCommand`

    - #### isDeleteById

          public boolean isDeleteById()

    - #### clear

          public void clear()

    - #### getIndexedId

          public BytesRef getIndexedId()

      Returns the indexed ID for this delete. The returned BytesRef is retained across multiple calls, and should not be modified.

    - #### getId

          public String getId()

    - #### getQuery

          public String getQuery()

    - #### setQuery

          public void setQuery(String query)

    - #### setIndexedId

          public void setIndexedId(BytesRef indexedId)

    - #### setId

          public void setId(String id)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `UpdateCommand`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.